# MD001 - Heading levels should only increment by one level at a time

This rule is triggered when you skip heading levels in your Markdown document, such as using an h3 directly after an h1.

## Examples

### ❌ Incorrect

```markdown
# Heading 1
### Heading 3
```

### ✅ Correct

```markdown
# Heading 1
## Heading 2
### Heading 3
```

## Rationale

Maintaining a proper heading hierarchy is important for:

- Document structure and readability
- Accessibility (screen readers rely on proper heading hierarchy)
- SEO optimization
- Generating accurate tables of contents

## Configuration

This rule has no configuration options.

## Fix

The rule will suggest fixing the heading level by adjusting it to be one level deeper than the previous heading.

## Related Rules

- MD002 (First heading should be a top-level heading)
- MD003 (Heading style should be consistent)
