# MD007 - Unordered List Indentation

## Description

Nested list items should be indented with exactly 2 spaces per level. This ensures consistent and readable list formatting across the document.

## Configuration

- `indent`: Number of spaces per indentation level (default: 2)

## Examples

<!-- markdownlint-disable -->
### Valid

```markdown
* Item 1
  * Nested item
    * Deeply nested item
* Item 2
  * Another nested item
```

### Invalid

```markdown
* Item 1
   * Nested item (3 spaces instead of 2)
      * Deeply nested item (6 spaces instead of 4)
* Item 2
 * Another nested item (1 space instead of 2)
```

### Fixed

```markdown
* Item 1
  * Nested item
    * Deeply nested item
* Item 2
  * Another nested item
```
<!-- markdownlint-enable -->

## Special Cases

- List continuations should maintain the same indentation as their parent item
- Empty lines between list items don't affect indentation requirements
- Mixed list styles (*, -, +) are allowed but must follow the same indentation rules

## Related Rules

- [MD006 - Consider starting bulleted lists at the beginning of the line](md006.md)
- [MD004 - Unordered list style](md004.md)
- [MD005 - List indentation](md005.md)
